mixed-port: 7890
allow-lan: false
bind-address: '*'
mode: rule
log-level: info
ipv6: false
external-controller: 127.0.0.1:9090

dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://223.5.5.5/dns-query
    - https://doh.pub/dns-query
  fallback:
    - https://1.1.1.1/dns-query
    - https://dns.google/dns-query
  fallback-filter:
    geoip: true
    geoip-code: CN

proxies:
  - name: zhaoluxi
    type: vless
    server: 144.34.187.175
    port: 443
    uuid: c683d146-ebe4-4f31-8b11-c6902e6e665b
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: littlepudding8.com
    client-fingerprint: chrome
    reality-opts:
      public-key: B_eJ_-CTA_bRTTPIULzRQrvyZZrJ9bEBPM5dbYPAExY
      short-id: 22600e3c

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - zhaoluxi
      - DIRECT

rules:
  - GEOSITE,cn,DIRECT
  - GEOIP,CN,DIRECT,no-resolve
  - MATCH,PROXY
